############################################################
#
# elfkickers
#
#############################################################
ELFKICKERS_SITE=http://www.muppetlabs.com/~breadbox/pub/software/
ELFKICKERS_SOURCE=ELFkickers-2.0a.tar.gz
ELFKICKERS_DIR:=$(BUILD_DIR)/ELFkickers
ELFKICKERS_CAT:=zcat
ELFKICKERS_BINARY:=sstrip/sstrip
ELFKICKERS_TARGET_BINARY:=usr/bin/sstrip

$(DL_DIR)/$(ELFKICKERS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(ELFKICKERS_SITE)/$(ELFKICKERS_SOURCE)

elfkickers-source: $(DL_DIR)/$(ELFKICKERS_SOURCE)

$(ELFKICKERS_DIR)/.unpacked: $(DL_DIR)/$(ELFKICKERS_SOURCE)
	$(ELFKICKERS_CAT) $(DL_DIR)/$(ELFKICKERS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	$(SED) "s,gcc,$(TARGET_CC),;" $(ELFKICKERS_DIR)/sstrip/Makefile
	touch $(ELFKICKERS_DIR)/.unpacked

$(ELFKICKERS_DIR)/$(ELFKICKERS_BINARY): $(ELFKICKERS_DIR)/.unpacked
	 $(TARGET_CONFIGURE_OPTS) $(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(ELFKICKERS_DIR)/sstrip
	 $(TARGET_CONFIGURE_OPTS) $(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(ELFKICKERS_DIR)/rebind
	 $(TARGET_CONFIGURE_OPTS) $(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(ELFKICKERS_DIR)/elfls
	 $(TARGET_CONFIGURE_OPTS) $(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(ELFKICKERS_DIR)/elftoc

$(TARGET_DIR)/$(ELFKICKERS_TARGET_BINARY): $(ELFKICKERS_DIR)/$(ELFKICKERS_BINARY)
	cp $(ELFKICKERS_DIR)/$(ELFKICKERS_BINARY) $(TARGET_DIR)/$(ELFKICKERS_TARGET_BINARY)
	# The rest:
	cp $(ELFKICKERS_DIR)/rebind/rebind $(TARGET_DIR)/usr/bin/rebind
	cp $(ELFKICKERS_DIR)/elfls/elfls  $(TARGET_DIR)/usr/bin/elfls
	cp $(ELFKICKERS_DIR)/elftoc/elftoc $(TARGET_DIR)/usr/bin/elftoc

elfkickers: uclibc $(TARGET_DIR)/$(ELFKICKERS_TARGET_BINARY)

elfkickers-clean:
	$(MAKE) -C $(ELFKICKERS_DIR)/sstrip clean

elfkickers-dirclean:
	rm -rf $(ELFKICKERS_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_ELFKICKERS)),y)
TARGETS+=elfkickers
endif
